package org.Hello;

import java.util.Set;
import java.util.Iterator;
import javax.ejb.*;
import javax.persistence.*;

@Stateless
public class BankImpl implements BankRemote {
  @PersistenceContext(unitName="intro")
  private EntityManager manager;

  public void create(int n, String name) {
	System.out.println("BankImpl.create(" + n + "," + name + ")");
	Account acc = new Account(n, name);
	manager.persist(acc);
  }
  public String print(int n) {
	Account acc = manager.find(Account.class, n);
	String res = acc.getAccountNo() + " : " + acc.getName() + "\n";
	Set<Payment> payments = acc.getPayments();
	Iterator<Payment> i = payments.iterator();
	while(i.hasNext())
		res += i.next() + "\n";
	return res;
  }
  public void addPayment(int n, double amount) {
	Account acc = manager.find(Account.class, n);
    Payment p = new Payment(acc, amount);
	manager.persist(p);
  }
}
